installation woes

8 posts / 0 new
Last post
#1 Sat, 11/12/2005 - 11:35
jamesrichardson

installation woes

've just paid for the 250 domain version after using the GPL version, I'm running RHEL WS 3.0 with all updates applied, and whenever I try to run install.sh, I get the following:

Installing Virtualmin and all related packages now using the command: yum -y install virtualmin-base Gathering header information file(s) from server(s) Server: Red Hat Enterprise 3WS - x86_64 - Virtualmin retrygrab() failed for: http://14026:XXXXXXXXXXX@software.virtualmin.com/rhel/3WS/x86_64/headers... Executing failover method failover: out of servers to try Error getting file http://14026:XXXXXXXXXXX@software.virtualmin.com/rhel/3WS/x86_64/headers... [[Errno 4]] IOError: HTTP Error 404: Not Found Installation failed: 1 Removing virtualmin-release package, so that installation can be re-attempted after any problems reported are resolved. cp: cannot stat `/usr/libexec/webmin/virtualmin-mailman/config-redhat-linux': No such file or directory

Is the server down, or do I have a problem on my end?

Jim Richardson

Sun, 11/13/2005 - 04:27
FaisalMehmood

Hi James.

Well the problem is because you are using the 64Bit Version of RHEL. Although Joe is working on incorporating 64-bit support into the system, i think it has not been fully implemented yet and that is why you are getting this error. Feel free to open a bug request to speed up 64bit compatibility for RHEL.

Another user ws having a similar problem

https://www.virtualmin.com/forums/message-view?message_id=9651

Thankyou.
Faisal.

Sun, 11/13/2005 - 04:28
FaisalMehmood
Sun, 11/13/2005 - 06:10
jamesrichardson

Thanks for the information, I didn't see anywhere on the site that was a problem, and of course the older GPL version worked fine, so I naively thought it wouldn't be a problem. I'll go ahead and open up a bug report, but is there any way to extend the expiration date of my purchase since I won't be able to run it or install it until you have this ready and I've already paid for it.....

James

Sun, 11/13/2005 - 20:25
FaisalMehmood

Hi james.

Well right now i think its just the automated installer issue. Which should be fixed pretty soon (Joe seems to be quick in replying and working on things;)) See with the PRO version the guarantee is that it will just work! :)

So dont worry you werent really naive because support for your OS ... really IS on the way :) You see we are still in the Early Adopter Release Phase, i think the Current Release is EA2. SO yeah development and bugs are being taken care of but for the most part once the installer gets going, everything else falls in place automatically ;)

Thnks
Faisal.

Mon, 11/14/2005 - 00:01
Joe
Joe's picture

Hi James,

As Faisal so eloquently explained, I haven't released a build for x86_64 yet. You're quite correct in your assumption that Virtualmin and Webmin and Usermin will work great on x86_64. The problem is with all of the other stuff. Virtualmin Professional includes a half dozen compiled packages in addition to the Webmin-based products which run unchanged across all supported platforms.

The good news is that the rebuild for x86_64 has officially begun this weekend. I expect to finish it up in a day or so. There will be an announcement on the front page, which may coincide with the release of EA2 (or may not, depending on how cooperative Mandrake is).

The other good news is that, yes, of course, your license term will be extended to account for the lack of installability right now. (In fact, everyone who has purchased during the Early Adopter period will be getting some bonus time in their license. Another "thank you" gesture, on top of the discount.)

You're not the only one who has been bitten by my lack of specificity on the list of supported platforms...My only excuse for not fixing it has been that I've been expecting to get it fixed before anyone else noticed a problem and was focused on actually getting the problem fixed rather than taking time to add more information to the website. Apologies for the confusion.

Hope this helps.

--

Check out the forum guidelines!

Mon, 11/14/2005 - 08:04
jamesrichardson

Thanks for your quick response, I've been limping along with the older GPL version, but there are some GREAT enhancements in the pro version that I really want to implement. I understand how complex getting all this together in such a short period of time must be, so I'll wait this week to download the new version...

Thanks
James Richardson

Sat, 11/19/2005 - 08:20
jamesrichardson

So I saw in the bug tracker that Joe was working on the 64 bit installer, but I can't find any way to determine if this has been completed. He said on the 16th

"Just wanted to post an update to this issue.
All of the platforms have been built for x86_64 now, but the install script needs a few tweaks to be fully arch aware, and I need to test it on all six platforms to be sure it actually works. Sometime in the next 24 hours it will be ready for use."

Is this done yet? Do I need to download a new version of the installer? This weekend would be a great time for me to do the install...

Jim